import { BeeRequestOptions, NumberString, RedistributionState, TransactionOptions } from '../../types';
import { BZZ } from '../../utils/tokens';
import { TransactionId } from '../../utils/typed-bytes';
/**
 * Gets the amount of staked BZZ
 *
 * @param requestOptions Options for making requests
 */
export declare function getStake(requestOptions: BeeRequestOptions): Promise<BZZ>;
/**
 * Gets the amount of withdrawable staked BZZ
 *
 * @param requestOptions Options for making requests
 */
export declare function getWithdrawableStake(requestOptions: BeeRequestOptions): Promise<BZZ>;
export declare function withdrawSurplusStake(requestOptions: BeeRequestOptions): Promise<TransactionId>;
export declare function migrateStake(requestOptions: BeeRequestOptions): Promise<TransactionId>;
/**
 * Stake given amount of tokens.
 *
 * @param requestOptions Options for making requests
 * @param amount
 */
export declare function stake(requestOptions: BeeRequestOptions, amount: NumberString | string | bigint, options?: TransactionOptions): Promise<TransactionId>;
/**
 * Get current status of node in redistribution game
 *
 * @param requestOptions Options for making requests
 */
export declare function getRedistributionState(requestOptions: BeeRequestOptions): Promise<RedistributionState>;
