import { BeeRequestOptions, ChainState, ReserveState, WalletBalance } from '../../types';
import { BZZ, DAI } from '../../utils/tokens';
import { EthAddress, TransactionId } from '../../utils/typed-bytes';
/**
 * Get state of reserve
 *
 * @param requestOptions Options for making requests
 */
export declare function getReserveState(requestOptions: BeeRequestOptions): Promise<ReserveState>;
/**
 * Get state of reserve
 *
 * @param requestOptions Options for making requests
 */
export declare function getChainState(requestOptions: BeeRequestOptions): Promise<ChainState>;
/**
 * Get wallet balances for xDai and BZZ of the node
 *
 * @param requestOptions Options for making requests
 */
export declare function getWalletBalance(requestOptions: BeeRequestOptions): Promise<WalletBalance>;
export declare function withdrawBZZ(requestOptions: BeeRequestOptions, amount: BZZ, address: EthAddress): Promise<TransactionId>;
export declare function withdrawDAI(requestOptions: BeeRequestOptions, amount: DAI, address: EthAddress): Promise<TransactionId>;
